<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_cruiseinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_cruise_edit = new ctbl_cruise_edit();
$Page =& $tbl_cruise_edit;

// Page init
$tbl_cruise_edit->Page_Init();

// Page main
$tbl_cruise_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_cruise_edit = new ew_Page("tbl_cruise_edit");

// page properties
tbl_cruise_edit.PageID = "edit"; // page ID
tbl_cruise_edit.FormID = "ftbl_cruiseedit"; // form ID
var EW_PAGE_ID = tbl_cruise_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_cruise_edit.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_language_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->language_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_country_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->country_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_cruise_name"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->cruise_name->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		aelm = fobj.elements["a" + infix + "_photo"];
		var chk_photo = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_description"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->description->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_highlight_description"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->highlight_description->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise->order_by->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tbl_cruise->order_by->FldErrMsg()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_cruise_edit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_cruise_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_cruise_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
<script type="text/javascript">
<!--
_width_multiplier = 16;
_height_multiplier = 60;
var ew_DHTMLEditors = [];

// update value from editor to textarea
function ew_UpdateTextArea() {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {			
			var inst;			
			for (inst in FCKeditorAPI.__Instances)
				FCKeditorAPI.__Instances[inst].UpdateLinkedField();
	}
}

// update value from textarea to editor
function ew_UpdateDHTMLEditor(name) {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {
		var inst = FCKeditorAPI.GetInstance(name);		
		if (inst)
			inst.SetHTML(inst.LinkedField.value)
	}
}

// focus editor
function ew_FocusDHTMLEditor(name) {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {
		var inst = FCKeditorAPI.GetInstance(name);	
		if (inst && inst.EditorWindow) {
			inst.EditorWindow.focus();
		}
	}
}

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_cruise->TableCaption() ?><br><br>
<a href="<?php echo $tbl_cruise->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_cruise_edit->ShowMessage();
?>
<form name="ftbl_cruiseedit" id="ftbl_cruiseedit" action="<?php echo ew_CurrentPage() ?>" method="post" enctype="multipart/form-data">
<p>
<input type="hidden" name="a_table" id="a_table" value="tbl_cruise">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_cruise->cruise_id->Visible) { // cruise_id ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->cruise_id->FldCaption() ?></td>
		<td<?php echo $tbl_cruise->cruise_id->CellAttributes() ?>><span id="el_cruise_id">
<div<?php echo $tbl_cruise->cruise_id->ViewAttributes() ?>><?php echo $tbl_cruise->cruise_id->EditValue ?></div><input type="hidden" name="x_cruise_id" id="x_cruise_id" value="<?php echo ew_HtmlEncode($tbl_cruise->cruise_id->CurrentValue) ?>">
</span><?php echo $tbl_cruise->cruise_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->language_id->Visible) { // language_id ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->language_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->language_id->CellAttributes() ?>><span id="el_language_id">
<select id="x_language_id" name="x_language_id" title="<?php echo $tbl_cruise->language_id->FldTitle() ?>"<?php echo $tbl_cruise->language_id->EditAttributes() ?>>
<?php
if (is_array($tbl_cruise->language_id->EditValue)) {
	$arwrk = $tbl_cruise->language_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_cruise->language_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
</span><?php echo $tbl_cruise->language_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->country_id->Visible) { // country_id ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->country_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->country_id->CellAttributes() ?>><span id="el_country_id">
<select id="x_country_id" name="x_country_id" title="<?php echo $tbl_cruise->country_id->FldTitle() ?>"<?php echo $tbl_cruise->country_id->EditAttributes() ?>>
<?php
if (is_array($tbl_cruise->country_id->EditValue)) {
	$arwrk = $tbl_cruise->country_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_cruise->country_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
</span><?php echo $tbl_cruise->country_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->cruise_name->Visible) { // cruise_name ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->cruise_name->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->cruise_name->CellAttributes() ?>><span id="el_cruise_name">
<input type="text" name="x_cruise_name" id="x_cruise_name" title="<?php echo $tbl_cruise->cruise_name->FldTitle() ?>" size="100" maxlength="100" value="<?php echo $tbl_cruise->cruise_name->EditValue ?>"<?php echo $tbl_cruise->cruise_name->EditAttributes() ?>>
</span><?php echo $tbl_cruise->cruise_name->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->photo->CellAttributes() ?>><span id="el_photo">
<div id="old_x_photo">
<?php if ($tbl_cruise->photo->HrefValue <> "" || $tbl_cruise->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_cruise->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_cruise->photo->UploadPath) . $tbl_cruise->photo->Upload->DbValue ?>" border=0<?php echo $tbl_cruise->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_cruise->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_cruise->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_cruise->photo->UploadPath) . $tbl_cruise->photo->Upload->DbValue ?>" border=0<?php echo $tbl_cruise->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_cruise->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</div>
<div id="new_x_photo">
<?php if (!empty($tbl_cruise->photo->Upload->DbValue)) { ?>
<label><input type="radio" name="a_photo" id="a_photo" value="1" checked="checked"><?php echo $Language->Phrase("Keep") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="2" disabled="disabled"><?php echo $Language->Phrase("Remove") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="3"><?php echo $Language->Phrase("Replace") ?><br></label>
<?php $tbl_cruise->photo->EditAttrs["onchange"] = "this.form.a_photo[2].checked=true;" . @$tbl_cruise->photo->EditAttrs["onchange"]; ?>
<?php } else { ?>
<input type="hidden" name="a_photo" id="a_photo" value="3">
<?php } ?>
<input type="file" name="x_photo" id="x_photo" title="<?php echo $tbl_cruise->photo->FldTitle() ?>" size="30"<?php echo $tbl_cruise->photo->EditAttributes() ?>>
</div>
</span><?php echo $tbl_cruise->photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->description->Visible) { // description ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->description->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->description->CellAttributes() ?>><span id="el_description">
<textarea name="x_description" id="x_description" title="<?php echo $tbl_cruise->description->FldTitle() ?>" cols="45" rows="10"<?php echo $tbl_cruise->description->EditAttributes() ?>><?php echo $tbl_cruise->description->EditValue ?></textarea>
<script type="text/javascript">
<!--
ew_DHTMLEditors.push(new ew_DHTMLEditor("x_description", function() {
	var sBasePath = 'fckeditor/';
	var oFCKeditor = new FCKeditor('x_description', 45*_width_multiplier, 10*_height_multiplier);
	oFCKeditor.BasePath = sBasePath;
	oFCKeditor.ReplaceTextarea();
	this.active = true;
}));
-->
</script>
</span><?php echo $tbl_cruise->description->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->highlight_description->Visible) { // highlight_description ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->highlight_description->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->highlight_description->CellAttributes() ?>><span id="el_highlight_description">
<textarea name="x_highlight_description" id="x_highlight_description" title="<?php echo $tbl_cruise->highlight_description->FldTitle() ?>" cols="45" rows="10"<?php echo $tbl_cruise->highlight_description->EditAttributes() ?>><?php echo $tbl_cruise->highlight_description->EditValue ?></textarea>
<script type="text/javascript">
<!--
ew_DHTMLEditors.push(new ew_DHTMLEditor("x_highlight_description", function() {
	var sBasePath = 'fckeditor/';
	var oFCKeditor = new FCKeditor('x_highlight_description', 45*_width_multiplier, 10*_height_multiplier);
	oFCKeditor.BasePath = sBasePath;
	oFCKeditor.ReplaceTextarea();
	this.active = true;
}));
-->
</script>
</span><?php echo $tbl_cruise->highlight_description->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_cruise->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise->order_by->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise->order_by->CellAttributes() ?>><span id="el_order_by">
<input type="text" name="x_order_by" id="x_order_by" title="<?php echo $tbl_cruise->order_by->FldTitle() ?>" size="100" value="<?php echo $tbl_cruise->order_by->EditValue ?>"<?php echo $tbl_cruise->order_by->EditAttributes() ?>>
</span><?php echo $tbl_cruise->order_by->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="button" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="ew_SubmitForm(tbl_cruise_edit, this.form);">
</form>
<script type="text/javascript">
<!--
ew_CreateEditor();  // Create DHTML editor(s)

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_cruise_edit->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_cruise_edit {

	// Page ID
	var $PageID = 'edit';

	// Table name
	var $TableName = 'tbl_cruise';

	// Page object name
	var $PageObjName = 'tbl_cruise_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_cruise;
		if ($tbl_cruise->UseTokenInUrl) $PageUrl .= "t=" . $tbl_cruise->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_cruise;
		if ($tbl_cruise->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_cruise->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_cruise->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_cruise_edit() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_cruise)
		$GLOBALS["tbl_cruise"] = new ctbl_cruise();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_cruise', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_cruise;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter;
	var $sDbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_cruise;

		// Load key from QueryString
		if (@$_GET["cruise_id"] <> "")
			$tbl_cruise->cruise_id->setQueryStringValue($_GET["cruise_id"]);
		if (@$_POST["a_edit"] <> "") {
			$tbl_cruise->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->GetUploadFiles(); // Get upload files
			$this->LoadFormValues(); // Get form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_cruise->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
				$tbl_cruise->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		} else {
			$tbl_cruise->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($tbl_cruise->cruise_id->CurrentValue == "")
			$this->Page_Terminate("tbl_cruiselist.php"); // Invalid key, return to list
		switch ($tbl_cruise->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tbl_cruiselist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$tbl_cruise->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $tbl_cruise->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$tbl_cruise->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$tbl_cruise->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_cruise;

		// Get upload data
			if ($tbl_cruise->photo->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_cruise->photo->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_cruise;
		$tbl_cruise->cruise_id->setFormValue($objForm->GetValue("x_cruise_id"));
		$tbl_cruise->language_id->setFormValue($objForm->GetValue("x_language_id"));
		$tbl_cruise->country_id->setFormValue($objForm->GetValue("x_country_id"));
		$tbl_cruise->cruise_name->setFormValue($objForm->GetValue("x_cruise_name"));
		$tbl_cruise->description->setFormValue($objForm->GetValue("x_description"));
		$tbl_cruise->highlight_description->setFormValue($objForm->GetValue("x_highlight_description"));
		$tbl_cruise->order_by->setFormValue($objForm->GetValue("x_order_by"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_cruise;
		$this->LoadRow();
		$tbl_cruise->cruise_id->CurrentValue = $tbl_cruise->cruise_id->FormValue;
		$tbl_cruise->language_id->CurrentValue = $tbl_cruise->language_id->FormValue;
		$tbl_cruise->country_id->CurrentValue = $tbl_cruise->country_id->FormValue;
		$tbl_cruise->cruise_name->CurrentValue = $tbl_cruise->cruise_name->FormValue;
		$tbl_cruise->description->CurrentValue = $tbl_cruise->description->FormValue;
		$tbl_cruise->highlight_description->CurrentValue = $tbl_cruise->highlight_description->FormValue;
		$tbl_cruise->order_by->CurrentValue = $tbl_cruise->order_by->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_cruise;
		$sFilter = $tbl_cruise->KeyFilter();

		// Call Row Selecting event
		$tbl_cruise->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_cruise->CurrentFilter = $sFilter;
		$sSql = $tbl_cruise->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_cruise->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_cruise;
		$tbl_cruise->cruise_id->setDbValue($rs->fields('cruise_id'));
		$tbl_cruise->language_id->setDbValue($rs->fields('language_id'));
		$tbl_cruise->country_id->setDbValue($rs->fields('country_id'));
		$tbl_cruise->cruise_name->setDbValue($rs->fields('cruise_name'));
		$tbl_cruise->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_cruise->description->setDbValue($rs->fields('description'));
		$tbl_cruise->highlight_description->setDbValue($rs->fields('highlight_description'));
		$tbl_cruise->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_cruise;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_cruise->Row_Rendering();

		// Common render codes for all row types
		// cruise_id

		$tbl_cruise->cruise_id->CellCssStyle = ""; $tbl_cruise->cruise_id->CellCssClass = "";
		$tbl_cruise->cruise_id->CellAttrs = array(); $tbl_cruise->cruise_id->ViewAttrs = array(); $tbl_cruise->cruise_id->EditAttrs = array();

		// language_id
		$tbl_cruise->language_id->CellCssStyle = ""; $tbl_cruise->language_id->CellCssClass = "";
		$tbl_cruise->language_id->CellAttrs = array(); $tbl_cruise->language_id->ViewAttrs = array(); $tbl_cruise->language_id->EditAttrs = array();

		// country_id
		$tbl_cruise->country_id->CellCssStyle = ""; $tbl_cruise->country_id->CellCssClass = "";
		$tbl_cruise->country_id->CellAttrs = array(); $tbl_cruise->country_id->ViewAttrs = array(); $tbl_cruise->country_id->EditAttrs = array();

		// cruise_name
		$tbl_cruise->cruise_name->CellCssStyle = ""; $tbl_cruise->cruise_name->CellCssClass = "";
		$tbl_cruise->cruise_name->CellAttrs = array(); $tbl_cruise->cruise_name->ViewAttrs = array(); $tbl_cruise->cruise_name->EditAttrs = array();

		// photo
		$tbl_cruise->photo->CellCssStyle = ""; $tbl_cruise->photo->CellCssClass = "";
		$tbl_cruise->photo->CellAttrs = array(); $tbl_cruise->photo->ViewAttrs = array(); $tbl_cruise->photo->EditAttrs = array();

		// description
		$tbl_cruise->description->CellCssStyle = ""; $tbl_cruise->description->CellCssClass = "";
		$tbl_cruise->description->CellAttrs = array(); $tbl_cruise->description->ViewAttrs = array(); $tbl_cruise->description->EditAttrs = array();

		// highlight_description
		$tbl_cruise->highlight_description->CellCssStyle = ""; $tbl_cruise->highlight_description->CellCssClass = "";
		$tbl_cruise->highlight_description->CellAttrs = array(); $tbl_cruise->highlight_description->ViewAttrs = array(); $tbl_cruise->highlight_description->EditAttrs = array();

		// order_by
		$tbl_cruise->order_by->CellCssStyle = ""; $tbl_cruise->order_by->CellCssClass = "";
		$tbl_cruise->order_by->CellAttrs = array(); $tbl_cruise->order_by->ViewAttrs = array(); $tbl_cruise->order_by->EditAttrs = array();
		if ($tbl_cruise->RowType == EW_ROWTYPE_VIEW) { // View row

			// cruise_id
			$tbl_cruise->cruise_id->ViewValue = $tbl_cruise->cruise_id->CurrentValue;
			$tbl_cruise->cruise_id->CssStyle = "";
			$tbl_cruise->cruise_id->CssClass = "";
			$tbl_cruise->cruise_id->ViewCustomAttributes = "";

			// language_id
			if (strval($tbl_cruise->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_cruise->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_cruise->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_cruise->language_id->ViewValue = $tbl_cruise->language_id->CurrentValue;
				}
			} else {
				$tbl_cruise->language_id->ViewValue = NULL;
			}
			$tbl_cruise->language_id->CssStyle = "";
			$tbl_cruise->language_id->CssClass = "";
			$tbl_cruise->language_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_cruise->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_cruise->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country` FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_cruise->country_id->ViewValue = $rswrk->fields('country');
					$rswrk->Close();
				} else {
					$tbl_cruise->country_id->ViewValue = $tbl_cruise->country_id->CurrentValue;
				}
			} else {
				$tbl_cruise->country_id->ViewValue = NULL;
			}
			$tbl_cruise->country_id->CssStyle = "";
			$tbl_cruise->country_id->CssClass = "";
			$tbl_cruise->country_id->ViewCustomAttributes = "";

			// cruise_name
			$tbl_cruise->cruise_name->ViewValue = $tbl_cruise->cruise_name->CurrentValue;
			$tbl_cruise->cruise_name->CssStyle = "";
			$tbl_cruise->cruise_name->CssClass = "";
			$tbl_cruise->cruise_name->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_cruise->photo->Upload->DbValue)) {
				$tbl_cruise->photo->ViewValue = $tbl_cruise->photo->Upload->DbValue;
				$tbl_cruise->photo->ImageWidth = 100;
				$tbl_cruise->photo->ImageHeight = 0;
				$tbl_cruise->photo->ImageAlt = $tbl_cruise->photo->FldAlt();
			} else {
				$tbl_cruise->photo->ViewValue = "";
			}
			$tbl_cruise->photo->CssStyle = "";
			$tbl_cruise->photo->CssClass = "";
			$tbl_cruise->photo->ViewCustomAttributes = "";

			// description
			$tbl_cruise->description->ViewValue = $tbl_cruise->description->CurrentValue;
			$tbl_cruise->description->CssStyle = "";
			$tbl_cruise->description->CssClass = "";
			$tbl_cruise->description->ViewCustomAttributes = "";

			// highlight_description
			$tbl_cruise->highlight_description->ViewValue = $tbl_cruise->highlight_description->CurrentValue;
			$tbl_cruise->highlight_description->CssStyle = "";
			$tbl_cruise->highlight_description->CssClass = "";
			$tbl_cruise->highlight_description->ViewCustomAttributes = "";

			// order_by
			$tbl_cruise->order_by->ViewValue = $tbl_cruise->order_by->CurrentValue;
			$tbl_cruise->order_by->CssStyle = "";
			$tbl_cruise->order_by->CssClass = "";
			$tbl_cruise->order_by->ViewCustomAttributes = "";

			// cruise_id
			$tbl_cruise->cruise_id->HrefValue = "";
			$tbl_cruise->cruise_id->TooltipValue = "";

			// language_id
			$tbl_cruise->language_id->HrefValue = "";
			$tbl_cruise->language_id->TooltipValue = "";

			// country_id
			$tbl_cruise->country_id->HrefValue = "";
			$tbl_cruise->country_id->TooltipValue = "";

			// cruise_name
			$tbl_cruise->cruise_name->HrefValue = "";
			$tbl_cruise->cruise_name->TooltipValue = "";

			// photo
			$tbl_cruise->photo->HrefValue = "";
			$tbl_cruise->photo->TooltipValue = "";

			// description
			$tbl_cruise->description->HrefValue = "";
			$tbl_cruise->description->TooltipValue = "";

			// highlight_description
			$tbl_cruise->highlight_description->HrefValue = "";
			$tbl_cruise->highlight_description->TooltipValue = "";

			// order_by
			$tbl_cruise->order_by->HrefValue = "";
			$tbl_cruise->order_by->TooltipValue = "";
		} elseif ($tbl_cruise->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// cruise_id
			$tbl_cruise->cruise_id->EditCustomAttributes = "";
			$tbl_cruise->cruise_id->EditValue = $tbl_cruise->cruise_id->CurrentValue;
			$tbl_cruise->cruise_id->CssStyle = "";
			$tbl_cruise->cruise_id->CssClass = "";
			$tbl_cruise->cruise_id->ViewCustomAttributes = "";

			// language_id
			$tbl_cruise->language_id->EditCustomAttributes = "";
				$sFilterWrk = "";
			$sSqlWrk = "SELECT `language_id`, `language`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_cruise->language_id->EditValue = $arwrk;

			// country_id
			$tbl_cruise->country_id->EditCustomAttributes = "";
				$sFilterWrk = "";
			$sSqlWrk = "SELECT `country_or_id`, `country`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_cruise->country_id->EditValue = $arwrk;

			// cruise_name
			$tbl_cruise->cruise_name->EditCustomAttributes = "";
			$tbl_cruise->cruise_name->EditValue = ew_HtmlEncode($tbl_cruise->cruise_name->CurrentValue);

			// photo
			$tbl_cruise->photo->EditCustomAttributes = "";
			if (!ew_Empty($tbl_cruise->photo->Upload->DbValue)) {
				$tbl_cruise->photo->EditValue = $tbl_cruise->photo->Upload->DbValue;
				$tbl_cruise->photo->ImageWidth = 100;
				$tbl_cruise->photo->ImageHeight = 0;
				$tbl_cruise->photo->ImageAlt = $tbl_cruise->photo->FldAlt();
			} else {
				$tbl_cruise->photo->EditValue = "";
			}

			// description
			$tbl_cruise->description->EditCustomAttributes = "";
			$tbl_cruise->description->EditValue = ew_HtmlEncode($tbl_cruise->description->CurrentValue);

			// highlight_description
			$tbl_cruise->highlight_description->EditCustomAttributes = "";
			$tbl_cruise->highlight_description->EditValue = ew_HtmlEncode($tbl_cruise->highlight_description->CurrentValue);

			// order_by
			$tbl_cruise->order_by->EditCustomAttributes = "";
			$tbl_cruise->order_by->EditValue = ew_HtmlEncode($tbl_cruise->order_by->CurrentValue);

			// Edit refer script
			// cruise_id

			$tbl_cruise->cruise_id->HrefValue = "";

			// language_id
			$tbl_cruise->language_id->HrefValue = "";

			// country_id
			$tbl_cruise->country_id->HrefValue = "";

			// cruise_name
			$tbl_cruise->cruise_name->HrefValue = "";

			// photo
			$tbl_cruise->photo->HrefValue = "";

			// description
			$tbl_cruise->description->HrefValue = "";

			// highlight_description
			$tbl_cruise->highlight_description->HrefValue = "";

			// order_by
			$tbl_cruise->order_by->HrefValue = "";
		}

		// Call Row Rendered event
		if ($tbl_cruise->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_cruise->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_cruise;

		// Initialize form error message
		$gsFormError = "";
		if (!ew_CheckFileType($tbl_cruise->photo->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_cruise->photo->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_cruise->photo->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_cruise->photo->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_cruise->photo->Upload->Error);
		}

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_cruise->language_id->FormValue) && $tbl_cruise->language_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->language_id->FldCaption();
		}
		if (!is_null($tbl_cruise->country_id->FormValue) && $tbl_cruise->country_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->country_id->FldCaption();
		}
		if (!is_null($tbl_cruise->cruise_name->FormValue) && $tbl_cruise->cruise_name->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->cruise_name->FldCaption();
		}
		if ($tbl_cruise->photo->Upload->Action == "3" && is_null($tbl_cruise->photo->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->photo->FldCaption();
		}
		if (!is_null($tbl_cruise->description->FormValue) && $tbl_cruise->description->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->description->FldCaption();
		}
		if (!is_null($tbl_cruise->highlight_description->FormValue) && $tbl_cruise->highlight_description->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->highlight_description->FldCaption();
		}
		if (!is_null($tbl_cruise->order_by->FormValue) && $tbl_cruise->order_by->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise->order_by->FldCaption();
		}
		if (!ew_CheckInteger($tbl_cruise->order_by->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= $tbl_cruise->order_by->FldErrMsg();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language, $tbl_cruise;
		$sFilter = $tbl_cruise->KeyFilter();
		$tbl_cruise->CurrentFilter = $sFilter;
		$sSql = $tbl_cruise->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// language_id
			$tbl_cruise->language_id->SetDbValueDef($rsnew, $tbl_cruise->language_id->CurrentValue, 0, FALSE);

			// country_id
			$tbl_cruise->country_id->SetDbValueDef($rsnew, $tbl_cruise->country_id->CurrentValue, 0, FALSE);

			// cruise_name
			$tbl_cruise->cruise_name->SetDbValueDef($rsnew, $tbl_cruise->cruise_name->CurrentValue, "", FALSE);

			// photo
			$tbl_cruise->photo->Upload->SaveToSession(); // Save file value to Session
						if ($tbl_cruise->photo->Upload->Action == "2" || $tbl_cruise->photo->Upload->Action == "3") { // Update/Remove
			$tbl_cruise->photo->Upload->DbValue = $rs->fields('photo'); // Get original value
			if (is_null($tbl_cruise->photo->Upload->Value)) {
				$rsnew['photo'] = NULL;
			} else {
				$rsnew['photo'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_cruise->photo->UploadPath), $tbl_cruise->photo->Upload->FileName);
			}
			$tbl_cruise->photo->ImageWidth = 180; // Resize width
			$tbl_cruise->photo->ImageHeight = 120; // Resize height
			}

			// description
			$tbl_cruise->description->SetDbValueDef($rsnew, $tbl_cruise->description->CurrentValue, "", FALSE);

			// highlight_description
			$tbl_cruise->highlight_description->SetDbValueDef($rsnew, $tbl_cruise->highlight_description->CurrentValue, "", FALSE);

			// order_by
			$tbl_cruise->order_by->SetDbValueDef($rsnew, $tbl_cruise->order_by->CurrentValue, 0, FALSE);

			// Call Row Updating event
			$bUpdateRow = $tbl_cruise->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
			if (!ew_Empty($tbl_cruise->photo->Upload->Value)) {
				$tbl_cruise->photo->Upload->RestoreFromSession(); // Restore original value
				$tbl_cruise->photo->Upload->Resize($tbl_cruise->photo->ImageWidth, $tbl_cruise->photo->ImageHeight, 75);
			}
			$tbl_cruise->photo->ImageWidth = 0; // Reset image width
			$tbl_cruise->photo->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_cruise->photo->Upload->Value)) {
				$tbl_cruise->photo->Upload->SaveToFile($tbl_cruise->photo->UploadPath, $rsnew['photo'], FALSE);
			}
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($tbl_cruise->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($tbl_cruise->CancelMessage <> "") {
					$this->setMessage($tbl_cruise->CancelMessage);
					$tbl_cruise->CancelMessage = "";
				} else {
					$this->setMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$tbl_cruise->Row_Updated($rsold, $rsnew);
		$rs->Close();

		// photo
		$tbl_cruise->photo->Upload->RemoveFromSession(); // Remove file value from Session
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
